﻿@model SportsClub.Models.Home.ContactFormViewModel

@{
    Layout = "~/Views/Shared/_Home.cshtml";
    ViewBag.ActiveMenu = "Contact";
    ViewBag.Title = "Contact";
    ViewBag.MetaDescription = "Contact jumbula to learn more about online registration and management software and also online marketing system.";
    ViewBag.keywords = "contact us, contact, jumbula, online registration & payment?, class & camp management, promotions and campaign management , online marketing & communications";

    var mapKey = Jumbula.Web.Mvc.WebConfig.WebConfigHelper.GoogleMapAPIKey;

    //// this is the route which was originally used to route the request
    //string reqController = Request.RequestContext.RouteData.Values["controller"].ToString();
    //string reqAction = Request.RequestContext.RouteData.Values["action"].ToString();

    //// this is the route which was used to route to this action/view
    //string thisController = RouteData.Values["controller"].ToString();
    //string thisAction = RouteData.Values["action"].ToString();

    //if (reqController == thisController && reqAction == thisAction)
    //{
    //    // this partial was loaded directly
    //}
    //else
    //{
    //    // this partial was loaded indirectly
    //}
}

@Html.Partial("_SolutionCover", new SportsClub.Models.Home.SolutionCoverViewModel() { Title = "Move forward today by getting in touch", CoverBackground = "/Images/Home/Solution/contact.jpg" })
<!-- Contact -->
<section id="contact" class="clearfix">
    <div class="container-fluid clearfix">
        <div class="row">
            <div class="row-md-height">
                <div class="col-md-6 col-sm-12 col-md-height columns">
                    <div class="inside-full-height" id="contactMapCanvas"></div>
                </div>
                <div class="col-md-6 col-sm-12 col-md-height columns">
                    <div class="inside-full-height">
                        <div class="contact-form">
                            <h2>Have a project in mind? Let's talk.</h2>
                            <div itemscope itemtype="http://schema.org/LocalBusiness">
                                <meta class="hidden" itemprop="name" content="Jumbula">
                                @*<p><a href="tel:02030111641" class="cnt-phone" itemprop="telephone">02030111641</a></p>*@
                                <div class="row">
                                    <div class="col-sm-6 col-xs-12">
                                        <p><span>Phone number:</span> <strong><a href="tel:6502570076" style="color:inherit">(650) 257-0076</a></strong></p>
                                        <p><span>Email:</span> <strong><a href="mailto:info@jumbula.com" style="color:inherit">info@jumbula.com</a></strong></p>
                                    </div>
                                    <div class="col-sm-6 col-xs-12">
                                        <address itemscope itemprop="address" itemtype="http://schema.org/PostalAddress">
                                            <span class="show" itemprop="streetAddress">425 Broadway</span>
                                            <span class="show" itemprop="addressLocality">
                                                Redwood City,
                                                <span itemprop="addressRegion">CA</span>
                                                <span itemprop="postalCode">94063</span>
                                            </span>
                                            <span class="show">United States</span>
                                        </address>
                                    </div>
                                </div>
                                <div class="hidden" itemprop="geo" itemscope itemtype="http://schema.org/GeoCoordinates">
                                    <meta itemprop="latitude" content="37.484887">
                                    <meta itemprop="longitude" content="-122.203298">
                                </div>
                            </div>
                            <div id="contactForm">
                                @Html.Partial("_ContactPartial", Model)
                            </div>
                        </div>
                        <div class="congrats-message">
                            <span class="icon jbi-check"></span>
                            <h2>Thank you for contacting us!</h2>
                            <p>We will be reaching out to you shortly.</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

@section Styles{
    <link href="~/Content/Home/Contact/contact.css" rel="stylesheet" />
}
@section Scripts{
    <script src="~/Scripts/Home/Contact/contact.js"></script>

    <script src="https://maps.googleapis.com/maps/api/js?libraries=places&language=en&key=@mapKey" type="text/javascript"></script>

    <script type="text/javascript">
        new WOW().init();

        function contactSucceeded(data) {
            if (data.status) {
                $(".contact-form").parents(".columns").css("overflow", "hidden");
                $(".contact-form").addClass("animated flipOutY");
                setTimeout(function () {
                    $(".contact-form").hide(0);
                    $(".congrats-message").show(0).addClass("animated flipInY");
                }, 750);
            } else {
                $("#contactForm").html(data).find(".input-validation-error").first().focus();
            }
        }

        function contactCompleted() {
            $('#contactForm :submit').button('reset');
        }

        function contactFailed() {

        }

        function contactBegan() {
            $('#contactForm :submit').button('loading');
        }

        $(".congrats-message").outerHeight($(".contact-form").outerHeight());


        function initialize() {
            var mapCanvas = document.getElementById('contactMapCanvas');
            var mapOptions = {
                center: new google.maps.LatLng(37.484887, -122.203298),
                zoom: 17,
                mapTypeId: google.maps.MapTypeId.ROADMAP,
                mapTypeControl: false,
                overviewMapControl: false,
                panControl: false,
                scaleControl: false,
                rotateControl: false,
                scrollwheel: false,
                streetViewControl: false,
                styles: [
                    {
                        "featureType": "water",
                        "stylers": [
                            { "color": "#00aeef" }
                        ]
                    }, {
                        "featureType": "landscape",
                        "elementType": "geometry.fill",
                        "stylers": [
                            { "visibility": "on" },
                            { "color": "#586c7c" }
                        ]
                    }, {
                        "elementType": "geometry.stroke",
                        "stylers": [
                            { "visibility": "on" },
                            { "color": "#DDDDDD" },
                            { "weight": 1 }
                        ]
                    }, {
                        "elementType": "labels.text.fill",
                        "stylers": [
                            { "visibility": "on" },
                            { "color": "#ffffff" }
                        ]
                    }, {
                        "elementType": "labels.text.stroke",
                        "stylers": [
                            { "visibility": "off" }
                        ]
                    }, {
                        "featureType": "road.highway.controlled_access",
                        "stylers": [
                            { "visibility": "on" },
                            { "color": "#acb7c0" }
                        ]
                    }, {
                        "featureType": "road.local",
                        "stylers": [
                            { "visibility": "on" },
                            { "color": "#f5ad57" },
                            { "weight": 0.5 }
                        ]
                    }, {
                        "featureType": "road.local",
                        "elementType": "labels.text.fill",
                        "stylers": [
                            { "color": "#ffffff" }
                        ]
                    }
                ]
            }
            var map = new google.maps.Map(mapCanvas, mapOptions);

            // Define Marker properties
            var image = new google.maps.MarkerImage('/Images/marker.png',
                new google.maps.Size(42, 56),
                // The origin for this image is 0,0.
                new google.maps.Point(0, 0),
                // The anchor for this image is the base of the flagpole at 18,42.
                new google.maps.Point(18, 42)
            );

            // Add Marker
            var marker = new google.maps.Marker({
                position: new google.maps.LatLng(37.484887, -122.203298),
                map: map,
                icon: image, // This path is the custom pin to be shown. Remove this line and the proceeding comma to use default pin
                animation: google.maps.Animation.DROP
            });


            // Add information window
            var infowindow = new google.maps.InfoWindow({
                content: createInfo('Jumbula Home', '425 Broadway Street<br />Redwood City, CA 94063')
            });

            // Create information window
            function createInfo(title, content) {
                return '<div class="info-title"><strong>' + title + '</strong></div><div class="info-content">' + content + '</div><div class="info-direction"></div>';
            }

            // Add listener for a click on the pin
            google.maps.event.addListener(marker, 'click', function () {
                infowindow.open(map, marker);
            });

            //Open info window after a while
            setTimeout(function () {
                infowindow.open(map, marker);
            }, 2000);
        }

        google.maps.event.addDomListener(window, 'load', initialize);
    </script>
}